Update Appointment: Funnel
PUT
https://api.propexo.com/crm/v1/appointments/funnel/:appointment_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
appointment_id stringrequired
The Propexo unique identifier for the event
Request
This endpoint expects an object.
statusstringrequired
The status associated with the event
Show 2 enum values
NO_SHOWCOMPLETEResponse
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
appointment_idstringrequired
The Propexo unique identifier for the event
statusstringrequired
The status associated with the event
Show 2 enum values
NO_SHOWCOMPLETEErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /crm/v1/appointments/funnel/:appointment_id
- cURL
- Node.js
- Python
curl -X PUT https://api.propexo.com/crm/v1/appointments/funnel/:appointment_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"status": "NO_SHOW"
}'
const response = await fetch("https://api.propexo.com/crm/v1/appointments/funnel/:appointment_id", {
method: "PUT",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"status": "NO_SHOW"
}),
});
const data = await response.json();
import requests
response = requests.put(
"https://api.propexo.com/crm/v1/appointments/funnel/:appointment_id",
headers={"Authorization": "Bearer <token>"},
json={
"status": "NO_SHOW"
},
)
data = response.json()
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"appointment_id": "string",
"status": "NO_SHOW"
}
}